Bug 852930 - [abrt] libreoffice-core-3.5.6.2-1.fc17: XRenderCreatePicture killed by SIGABRT after suspend/resume
[abrt] libreoffice-core-3.5.6.2-1.fc17: XRenderCreatePicture killed by SIGABR...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libXrender (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
abrt_hash:22c20b9ab31906cab47971a0c50...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 23:15 EDT by nathaniel
Modified: 2014-06-18 05:15 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:43:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.32 KB, text/plain)
2012-08-29 23:15 EDT, nathaniel
no flags Details
File: maps (64.13 KB, text/plain)
2012-08-29 23:15 EDT, nathaniel
no flags Details
File: dso_list (24.57 KB, text/plain)
2012-08-29 23:15 EDT, nathaniel
no flags Details

  None (edit)
Description nathaniel 2012-08-29 23:15:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --writer file:///home/nathaniel/Documents/Dropbox/List%20Work/TextNotes/19thTextNotes/HenryJamesNotes.odt --splash-pipe=6
executable:     /usr/lib/libreoffice/program/soffice.bin
kernel:         3.5.2-3.fc17.i686
pid:            20158
pwd:            /home/nathaniel
remote_result:  NOTFOUND
time:           Wed 29 Aug 2012 08:49:15 PM EDT
uid:            1000
username:       nathaniel
var_log_messages: Aug 29 20:49:31 DrFedoToshiBa abrt[26221]: Saved core dump of pid 20158 (/usr/lib/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-08-29-20:49:14-20158 (90935296 bytes)
xsession_errors: 

backtrace:      Text file, 45383 bytes
dso_list:       Text file, 25155 bytes
maps:           Text file, 65672 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/nathaniel/17

core_backtrace:
:f6a5072d3f6726abd86e233b71a0a8e80bd1e850 0x424 __kernel_vsyscall linux-gate.so.1 -
:db6c0f5e6d5c4c0b791a6cccb49ea2ff3a1d98f0 0x2e93f raise libc.so.6 -
:db6c0f5e6d5c4c0b791a6cccb49ea2ff3a1d98f0 0x30293 abort libc.so.6 -
:db6c0f5e6d5c4c0b791a6cccb49ea2ff3a1d98f0 0x27677 __assert_fail_base libc.so.6 -
:db6c0f5e6d5c4c0b791a6cccb49ea2ff3a1d98f0 0x27727 __assert_fail libc.so.6 -
:75dd838611972f941eddfbc872c11bb0e35fb8c2 0x3add1 _XAllocID libX11.so.6 -
:d44eca373263d7abb445ddd5bad3dafbccd8cfed 0x422b XRenderCreatePicture libXrender.so.1 -
:1d410e9c300ae53c0410f6f813ce622ba4ed657a 0x5a60d X11SalGraphics::drawAlphaBitmap(SalTwoRect libvclplug_genlo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x29fb16 SalGraphics::DrawAlphaBitmap(SalTwoRect libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x1c4b5d - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x1c5df3 - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x1c62d4 OutputDevice::DrawBitmapEx(Point libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x19c00c - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x1c0f4d OutputDevice::DrawImage(Point libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0xcfa9e - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0xd0ca5 - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0xd1e24 - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x34e563 - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x34e2b5 - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x34e2b5 - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x34e2b5 - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x34e2b5 - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x34e2b5 - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x34e2b5 - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x34f8a0 - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0x34f901 - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0xc22db Timer::Timeout() libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0xc23a2 Timer::ImplTimerCallbackProc() libvcllo.so -
:4a440f53e4dc2d7080342038a22917c60717f8d0 0x26ea3 - libvclplug_gtklo.so -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x46fbb g_main_context_dispatch libglib-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x47360 - libglib-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x47442 g_main_context_iteration libglib-2.0.so.0 -
:4a440f53e4dc2d7080342038a22917c60717f8d0 0x2975b - libvclplug_gtklo.so -
:4a440f53e4dc2d7080342038a22917c60717f8d0 0x2a8cf - libvclplug_gtklo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0xba84b Application::Yield(bool) libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0xba8fc Application::Execute() libvcllo.so -
:30302a8c1a2891742af74b24438e1c9448b2fed2 0x1a47d - libsofficeapp.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0xc1c7a - libvcllo.so -
:9a5047832651f40c4e9e426a2b55b147d6391a9a 0xc1d35 SVMain() libvcllo.so -
:30302a8c1a2891742af74b24438e1c9448b2fed2 0x43893 soffice_main libsofficeapp.so -
:2891e7e62ec97545c4d34ba0eb57b4f75b3fce4e 0x57e - [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=17
:HOSTNAME=DrFedoToshiBa.home
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=20144
:GPG_AGENT_INFO=/run/user/nathaniel/keyring-UrHouY/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/lib/libreoffice/program
:GNOME_KEYRING_CONTROL=/run/user/nathaniel/keyring-UrHouY
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=nathaniel
:SSH_AUTH_SOCK=/run/user/nathaniel/keyring-UrHouY/ssh
:USERNAME=
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/19399,unix/unix:/tmp/.ICE-unix/19399
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-writer.desktop
:MAIL=/var/spool/mail/nathaniel
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/nathaniel/.local/bin:/home/nathaniel/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/nathaniel
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=19395
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/nathaniel
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=nathaniel
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-T8lY84ybYc,guid=f2545bea2c274e5cd76ff396000084eb
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:ENABLE_D_LOG=1
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/nathaniel
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-nathaniel-tCbBar/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5/jre/lib/i386/client:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5/jre/lib/i386/server:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5/jre/lib/i386/native_threads:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5/jre/lib/i386

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7813                 processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7813                 7813                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/nathaniel/.xsession-errors
:pos:	207028
:flags:	02002
:2:/home/nathaniel/.xsession-errors
:pos:	207028
:flags:	02002
:3:socket:[254963]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:pipe:[255743]
:pos:	0
:flags:	00
:6:pipe:[255743]
:pos:	0
:flags:	01
:7:socket:[254965]
:pos:	0
:flags:	02000002
:8:socket:[298152]
:pos:	0
:flags:	02000002
:9:socket:[254966]
:pos:	0
:flags:	02004002
:10:/usr/lib/libreoffice/program/resource/fween-US.res
:pos:	2158
:flags:	00
:11:/usr/lib/libreoffice/program/resource/sben-US.res
:pos:	6660
:flags:	00
:12:/usr/lib/libreoffice/program/resource/ofaen-US.res
:pos:	8114
:flags:	00
:13:/usr/lib/libreoffice/program/resource/svten-US.res
:pos:	19548
:flags:	00
:14:/home/nathaniel/.execooojn7tiE (deleted)
:pos:	0
:flags:	02
:15:/usr/lib/libreoffice/program/resource/sfxen-US.res
:pos:	34322
:flags:	00
:16:/usr/lib/libreoffice/program/resource/vclen-US.res
:pos:	5076
:flags:	00
:17:/usr/lib/libreoffice/share/config/images_tango.zip
:pos:	0
:flags:	0100000
:18:socket:[254969]
:pos:	0
:flags:	02000002
:19:pipe:[254970]
:pos:	0
:flags:	02004000
:20:pipe:[254970]
:pos:	0
:flags:	02004001

smolt_data:
:
:
:General
:=================================
:UUID: 577005a1-1f73-48c1-93f3-59889fb61738
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3325.31
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Atom(TM) CPU N455   @ 1.66GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 28
:Number of CPUs: 2
:CPU Speed: 1667
:System Memory: 993
:System Swap: 2015
:Vendor: TOSHIBA
:System: TOSHIBA NB505 PLL50U-01R00C
:Form factor: Notebook
:Kernel: 3.5.2-3.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10172:4473:64960) pci, None, PCI/ISA, NM10 Family LPC Controller
:(4332:33078:4473:64960) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:40977:4473:64960) pci, i915, VIDEO, N10 Family Integrated Graphics Controller
:(32902:40978:4473:64960) pci, None, VIDEO, N10 Family Integrated Graphics Controller
:(32902:10192:4473:64960) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4473:64960) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4473:64960) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10196:4473:64960) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:4473:64960) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9288:4473:64960) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10177:4473:64960) pci, ahci, STORAGE, N10/ICH7 Family SATA AHCI Controller
:(32902:10185:4473:64960) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4473:64960) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:40976:4473:64960) pci, agpgart-intel, HOST/PCI, N10 Family DMI Bridge
:(32902:10186:4473:64960) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4473:64960) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4473:64960) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(4332:33142:4332:33153) pci, rtl8192ce, NETWORK, RTL8188CE 802.11b/g/n WiFi Adapter
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_drfedotoshiba-lv_root / ext4 4096 4096 12901535 11452755 11321705 3276800 3098376 3098376
:/dev/sda5 /boot ext4 1024 1024 495844 401590 375990 128016 127617 127617
:/dev/mapper/vg_drfedotoshiba-lv_home /home ext4 4096 4096 34511630 9817847 8064759 8765440 8657282 8657282
:
Comment 1 nathaniel 2012-08-29 23:15:45 EDT
Created attachment 608035 [details]
File: backtrace
Comment 2 nathaniel 2012-08-29 23:15:47 EDT
Created attachment 608036 [details]
File: maps
Comment 3 nathaniel 2012-08-29 23:15:48 EDT
Created attachment 608037 [details]
File: dso_list
Comment 4 Caolan McNamara 2012-08-30 03:13:00 EDT
Is this reproducible ?, e.g. on loading a specific document ?
Comment 5 nathaniel 2012-08-30 11:51:26 EDT
I replied in an e-mail but I'm not sure it'll go through, so sorry for any duplicates.

This happened 2x on reactivation from suspends that were initiated with open libreoffice window active.

However, since restart it has not occurred. That document does not seem to have an effect any more, if it did...I'll report here if I notice a co-incidence.
Comment 6 Caolan McNamara 2012-09-11 16:21:19 EDT
sounds like a problem at a lower level than libreoffice itself. Throwing it over the wall to libXrender in case its a familiar problem over there.
Comment 7 Fedora End Of Life 2013-07-03 23:18:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 06:43:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.